Package org.apache.jmeter.gui.action

# Class What

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.What

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class What extends AbstractAction
Debug class to show details of the currently selected object Currently shows TestElement and GUI class names Also enables/disables debug for the test element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `What()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  `Set<String>`
  `getActionNames()`
  Provide the list of Action names that are available in this command.

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### What

    public What()

- ## Method Details

  - ### doAction

    public void doAction(ActionEvent e) throws IllegalUserActionException
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    Throws:
      `IllegalUserActionException`
    See Also:
      - `Command.doAction(ActionEvent)`

  - ### getActionNames

    public Set<String> getActionNames()
    Provide the list of Action names that are available in this command.